<?php 
/**
 * Display a loading bar setting at different steps
 * with custom configuration.
 * 
 * @version    $Id: progress5.php,v 1.1.1.1 2003/07/27 12:36:05 Farell Exp $
 * @author     Laurent Laville <laurent.laville@worldonline.fr>
 * @package    HTML_Progress
 */

require_once ('HTML/Progress.php');

$p = new HTML_Page();
$p->setTitle("PEAR::HTML_Progress - Example 5");
$p->setMetaData("author", "Laurent Laville");

/**
 * Attributes list with default values:
 * Progress Bar:
 *	width                   180px
 *	height                   22px
 *	background-color        white
 *	padding                   2px
 *	border-width              0px
 *	border-style            solid
 *	border-color            black
 *	cell-width               15px
 *	cell-height              20px
 *	cell-spacing              2px
 *	active-color          #006600
 *	inactive-color        #cccccc
 *
 * Text info:
 *	font    Verdana, Arial, Helvetica, sans-serif
 *	size    12px
 *	color   black
 */
$layout = array(
	'width'             => '300px',
	'background-color'  => '#EBEBEB',
	'padding'           => '0px',
	'border-width'      => '1px',
	'border-style'      => 'inset',
	'border-color'      => 'white',
	'cell-width'        => '20px',
	'cell-spacing'      => '0px',
	'active-color'      => '#000084',
	'inactive-color'    => '#3A6EA5'
);

$bar = new HTML_Progress(&$p, $layout);
$bar->setText(true);

$css =& $bar->getStyle();
$css->setStyle('body', 'background-color', '#c3c6c3');
$css->setStyle('body', 'font-family', 'Verdana, Arial');
$p->addStyleDeclaration(&$css);
$p->addBodyContent($bar->toHTML());
$p->display();


/*  Progress Start */
echo "task to do at start  ... <br /> \n";
$bar->display(0,"set");

/*  You have to do something here at 25% */
echo "task to do at 25%  ...   <br /> \n";
sleep(1);
$bar->display(25,"set");

/*  You have to do something here at 50% */
echo "task to do at 50%  ...   <br /> \n";
sleep(1);
$bar->display(50,"set");

/*  You have to do something here at 75% */
echo "task to do at 75%  ...   <br /> \n";
sleep(1);
$bar->display(75,"set");

/*  Progress End */
echo "it's finished: hope you've enjoy it ! ";
sleep(1);
$bar->display(100,"set");

?>