<?php 
/**
 * Display a loading bar from 0 to 100% increase by step of 10%
 * with custom configuration with a Template Engine 
 * 
 * @version    $Id: progress6.php,v 1.1.1.1 2003/07/27 12:36:05 Farell Exp $
 * @author     Laurent Laville <laurent.laville@worldonline.fr>
 * @package    HTML_Progress
 */

require_once ('HTML/QuickForm.php');
require_once ('HTML/QuickForm/Renderer/ITStatic.php');
require_once ('HTML/Template/Sigma.php');
require_once ('HTML/Progress.php');


$tpl = new HTML_Template_Sigma('.');
$tpl->loadTemplateFile('installing.html');
        
$vars = array (	
    "L_SETUP_APP_TITLE"    => "SW4P",
    "L_APPNAME"            => "My Template Sample",
    "L_APPCOPYRIGHT"       => "&copy 2003 SW4P Team "
);
$tpl->setVariable($vars);

$form = new HTML_QuickForm('form');
$form->addElement('button', 'cancel', 'Cancel', 'style="width:100px;" disabled="true"');

$layout = array(
    'width'            => '200px',
    'border-width'     => '2px',
    'border-color'     => '#7B7B88',
    'cell-width'       => '10px',
    'active-color'     => '#7B7B88',
    'inactive-color'   => '#D0D0D0'
);

$p = new HTML_Page();
$p->setTitle("PEAR::HTML_Progress - Example 6");
$p->setMetaData("author", "Laurent Laville");
$p->addStyleSheet("./styles.css");


$bar = new HTML_Progress(&$p, $layout);
$bar->setText(true);

$tpl->setVariable("L_PROGRESS_BAR", $bar->toHTML());

$renderer =& new HTML_QuickForm_Renderer_ITStatic($tpl);
$form->accept($renderer);

$css =& $bar->getStyle();
$css->setStyle('body', 'background-color', '#444444');
$p->addStyleDeclaration(&$css);
$p->addBodyContent($tpl->get());
$p->display();

for ($i=0; $i<11; $i++) {
/*  You have to do something here  */
    $bar->display(10);
}

?>